Draft Clone/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(2 intermediate revisions by the same user not shown)
Line 12: Line 12:
{{GuiCommand/es|Name=Draft Clone|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto → Clonar|Ver también=[[Draft Scale/es|Escalar]]}}
{{GuiCommand/es|Name=Draft Clone|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto → Clonar|Ver también=[[Draft Scale/es|Escalar]]}}
</div>
</div>

==Description==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 27: Line 29:
[[Image:Draft_Clone_example.jpg|400px]]
[[Image:Draft_Clone_example.jpg|400px]]
</div>
</div>

==Usage==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 61: Line 65:


The Clone tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
The Clone tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
cloned_object = clone(obj, delta=None, forcedraft=False)
cloned_object = clone(obj, delta=None, forcedraft=False)
Line 74: Line 79:


Ejemplo:
Ejemplo:

{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD, Draft
Line 98: Line 104:
}}
}}


{{Draft Tools navi}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}
{{clear}}
{{clear}}

Revision as of 17:53, 21 February 2020

Draft Clone

Ubicación en el Menú
Boceto → Clonar
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Description

Descripción

Esta herramienta crea un clon (una copia que está paramétricamente vinculada al objeto original) de un objeto seleccionado. Si el objeto original cambia, el clon también cambia, pero mantiene su posición, rotación y escala.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Usage

Utilización

  1. Selecciona los objetos que quieres clonar
  2. Presiona el botón Clonar

Depending on its options, the Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DatosCloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Options

There are no options for this tool. Either it works with the selected objects or not.

Propiedades

  • DatosScale: Especifica un factor de escala para el clon
  • El resultado de la herramienta Escalar también es un clon

Archivos de guión

La herramienta Clonar se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crea un clon de un o más objetos dados.
  • El clon es una copia exacta vinculada al objeto dado.
  • Si el objeto original cambia, el objeto final también cambia. Opcionalmente, puedes indicar un vector delta para mover el clon desde su posición original.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Ejemplo:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()